{
    "fields": [
        {
            "name": "clinvar",
            "type": [
                "null",
                {
                    "items": {
                        "fields": [
                            {
                                "name": "accession",
                                "type": [
                                    "null",
                                    "string"
                                ]
                            },
                            {
                                "name": "clinicalSignificance",
                                "type": [
                                    "null",
                                    "string"
                                ]
                            },
                            {
                                "name": "traits",
                                "type": [
                                    "null",
                                    {
                                        "items": "string",
                                        "type": "array"
                                    }
                                ]
                            },
                            {
                                "name": "geneNames",
                                "type": [
                                    "null",
                                    {
                                        "items": "string",
                                        "type": "array"
                                    }
                                ]
                            },
                            {
                                "name": "reviewStatus",
                                "type": [
                                    "null",
                                    "string"
                                ]
                            }
                        ],
                        "name": "ClinVar",
                        "type": "record"
                    },
                    "type": "array"
                }
            ]
        },
        {
            "name": "gwas",
            "type": [
                "null",
                {
                    "items": {
                        "fields": [
                            {
                                "name": "snpIdCurrent",
                                "type": [
                                    "null",
                                    "string"
                                ]
                            },
                            {
                                "name": "traits",
                                "type": [
                                    "null",
                                    {
                                        "items": "string",
                                        "type": "array"
                                    }
                                ]
                            },
                            {
                                "name": "riskAlleleFrequency",
                                "type": [
                                    "null",
                                    "double"
                                ]
                            },
                            {
                                "name": "reportedGenes",
                                "type": [
                                    "null",
                                    "string"
                                ]
                            }
                        ],
                        "name": "Gwas",
                        "type": "record"
                    },
                    "type": "array"
                }
            ]
        },
        {
            "name": "cosmic",
            "type": [
                "null",
                {
                    "items": {
                        "fields": [
                            {
                                "name": "mutationId",
                                "type": [
                                    "null",
                                    "string"
                                ]
                            },
                            {
                                "name": "primarySite",
                                "type": [
                                    "null",
                                    "string"
                                ]
                            },
                            {
                                "name": "siteSubtype",
                                "type": [
                                    "null",
                                    "string"
                                ]
                            },
                            {
                                "name": "primaryHistology",
                                "type": [
                                    "null",
                                    "string"
                                ]
                            },
                            {
                                "name": "histologySubtype",
                                "type": [
                                    "null",
                                    "string"
                                ]
                            },
                            {
                                "name": "sampleSource",
                                "type": [
                                    "null",
                                    "string"
                                ]
                            },
                            {
                                "name": "tumourOrigin",
                                "type": [
                                    "null",
                                    "string"
                                ]
                            },
                            {
                                "name": "geneName",
                                "type": [
                                    "null",
                                    "string"
                                ]
                            },
                            {
                                "name": "mutationSomaticStatus",
                                "type": [
                                    "null",
                                    "string"
                                ]
                            }
                        ],
                        "name": "Cosmic",
                        "type": "record"
                    },
                    "type": "array"
                }
            ]
        }
    ],
    "name": "VariantTraitAssociation",
    "namespace": "org.opencb.biodata.models.variant.avro",
    "type": "record"
}